Skip to main content
GET
List alert rules

Authorizations

X-API-KEY
string
header
required

An API key is a token that you provide when making API calls. Include the token in a header parameter called X-API-KEY.

Query Parameters

enabled
boolean

Filter by enabled status

metric
enum<string>

Filter by metric Metric to monitor.

Available options:
turn_latency_p50,
turn_latency_p95,
api_errors,
function_errors,
call_crashes,
call_volume
project_id
string

Filter by project ID

state
enum<string>

Filter by current state Current state of an alert rule.

Available options:
ok,
alert,
no_data,
unknown

Response

Alert rules retrieved successfully.

Every alert rule in scope, each with its current state.

data
object[]
required

An alert rule: its trigger condition, evaluation window, and current state.

Last modified on March 10, 2026